RaisFastRaisFast

Oauth

OAuth

GET
/api/v1/auth/oauth/bindings

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/auth/oauth/bindings"
Empty
GET
/api/v1/auth/oauth/providers

Response Body

curl -X GET "https://example.com/api/v1/auth/oauth/providers"
Empty
GET
/api/v1/auth/oauth/{provider}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

provider*string

OAuth provider name

Response Body

curl -X GET "https://example.com/api/v1/auth/oauth/string"
Empty
GET
/api/v1/auth/oauth/{provider}/callback

Path Parameters

provider*string

OAuth provider name

Response Body

curl -X GET "https://example.com/api/v1/auth/oauth/string/callback"
Empty
DELETE
/api/v1/auth/oauth/{provider}/unbind

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

provider*string

OAuth provider name

Response Body

curl -X DELETE "https://example.com/api/v1/auth/oauth/string/unbind"
Empty